List and search transfers for an account
This section covers how to retrieve an Account’s list of transfers.Pagination
All listing endpoints support cursor-based pagination to traverse through an existing data set. With cursor-based pagination you must always start at the beginning of a list and query your way forward in the data set. Cursor-based endpoints accept thelimit and cursor query string parameters.
A limit is set to control the number of objects that are returned in the response. By default, a limit is set to 25 objects that are returned and sorted by created timestamp. Limit can have a max value of 200 objects. The cursor is a pointer indicating the next item in the data set. The cursor to use for the next page of results is returned in the _links object where a URL is generated and returned for the next data set (referenced below). If you omit the cursor from your request, you will receive the first page of results.
It is recommended to use the _links object in the response which includes the following relational links for paging.
selflink indicates the URL of the resource itself.nextincludes the URL to list the next set of objects as defined bylimitthat is set. The absence of anextURL indicates that you have reached the end of the data set.previncludes the URL to list the previous set of objects as defined bylimit. the absence of aprevURL indicates that you are at the beginning of the data set.
Example HTTP Request
GET https://api.dwolla.com/accounts/{id}/transfers?limit=10&cursor={encoded-cursor}
HTTP request
GET https://api.dwolla.com/accounts/{id}/transfers